library mtools;

uses
  Strings,
  WinTypes,
  WinProcs,
  CommDlg;

{ Trim --------------------------------------------------------------
     Supresses trailing blanks in NULL-terminated string
  ------------------------------------------------------------------- }
function Trim(TrimStr: PChar): PChar; export;
var
  i: Integer;
begin
  Trim := TrimStr;
  for i := StrLen(TrimStr) - 1 downto 0 do
  begin
    if TrimStr[i] = ' ' then
      TrimStr[i] := #0
    else
      Exit;
  end;
end;

{ Ltrim -------------------------------------------------------------
     Moves pointer to string to the first non-blank character
  ------------------------------------------------------------------- }
function Ltrim(TrimStr: PChar): PChar; export;
var
  i, j: Integer;
begin
  i := 0;
  while TrimStr[i] = ' ' do Inc(i); { skip spaces }
  for j := i to StrLen(TrimStr) + 1 do
    TrimStr[j-i] := TrimStr[j];
end;

function GetFont(var LogFont: pLogFont; Owner: HWnd; var Color: tColorRef): Boolean; export;
var
  CFont      : tChooseFont;
  lStyle     : array [0..lf_facesize] of Char;
begin
  with CFont do
  begin
    lStructSize := SizeOf(tChooseFont);
    hWndOwner := Owner;
    hDC := 0;
    lpLogFont := LogFont;
    rgbColors := Color;
    Flags := cf_forcefontexist or cf_inittologfontstruct or cf_limitsize or cf_screenfonts or cf_effects;
    lpszStyle := @lStyle;
    nSizeMin := 8;
    nSizeMax := 32;
  end;
  if ChooseFont(CFont) then
  begin
    Color := CFont.rgbColors;
    GetFont := True
  end
  else
    GetFont := False;
end;

function GetAboutBmp: hBitmap; export;
begin
  GetAboutBmp := LoadBitmap(hInstance, 'PHBOOK');
end;

Exports
  Trim, Ltrim, GetFont, GetAboutBmp;

begin
end.